Name:           libzdb
Version:        2.8.1
Release:        1%{?dist}
Summary:        Small, fast, and easy to use database API

Group:          System Environment/Libraries
License:        GPLv3+ and MIT
URL:            http://www.tildeslash.com/libzdb/
Source0:        http://www.tildeslash.com/%{name}/dist/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} && 0%{?fedora} > 14
BuildRequires:  flex, flex-static
%else
BuildRequires:  flex
%endif
BuildRequires:  mysql-devel >= 4.1, postgresql-devel >= 8, sqlite-devel

%description
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.


%prep
%setup -q

# Errant file
rm -f doc/api-docs/._*

%build
%configure --disable-static --enable-protected
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}\.so\.*

%doc AUTHORS CHANGES COPYING README


%package devel
Summary:        Developer header files & libraries for libzdb database API
Group:          Development/Libraries
Requires:       libzdb = %{version}-%{release}

%description devel
Developer header files & libraries for libzdb database API.

%files devel
%defattr(-,root,root,-)
%{_includedir}/zdb
%{_libdir}/%{name}.so
%exclude %{_libdir}/%{name}.la
%doc doc/api-docs



%changelog
* Tue Jul 05 2011 Bernard Johnson <bjohnson@symetrix.com> - 2.8.1-1
- bump to 2.8.1 which fixes a Oracle driver transaction memory leak

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 2.8-2
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Tue Feb 22 2011 Bernard Johnson <bjohnson@symetrix.com> - 2.8-1
- v 2.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Bernard Johnson <bjohnson@symetrix.com> - 2.7-1
- v 2.7
- change BR from flex to flex-static for F15 (bz #660879)

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.6-3
- rebuilt with new openssl

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 2.6-2
- Bump for F12 mass rebuild

* Sun Jul 05 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.6-1
- v 2.6

* Thu Jun 04 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.5-1
- remove EXCEPTIONS notice
- v 2.5

* Sat Mar 07 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-3
- fix typo in requires
- bz #474044

* Wed Feb 25 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-2
- add a notice to EXCEPTIONS that dual licensing is not available in Fedora

* Mon Feb 16 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-1
- v 2.4
- remove patches required for 2.3
- drop EXCEPTIONS as noted in review ticket

* Thu Feb 05 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.3-1
- v 2.3

* Thu Dec 04 2008 Bernard Johnson <bjohnson@symetrix.com> - 2.2.3-2
- disable static build by default
- remove release version from soname
- move headers to %%{_includedir}/libzdb/

* Thu Nov 13 2008 Bernard Johnson <bjohnson@symetrix.com> - 2.2.3-1
- initial build
